summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /media-radio/svxlink/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'media-radio/svxlink/files')
-rw-r--r--media-radio/svxlink/files/remotetrx.init43
-rw-r--r--media-radio/svxlink/files/remotetrx.rc21
-rw-r--r--media-radio/svxlink/files/svxlink-11.11.1-gcc-47.patch10
-rw-r--r--media-radio/svxlink/files/svxlink.init43
-rw-r--r--media-radio/svxlink/files/svxlink.rc21
5 files changed, 138 insertions, 0 deletions
diff --git a/media-radio/svxlink/files/remotetrx.init b/media-radio/svxlink/files/remotetrx.init
new file mode 100644
index 000000000000..cfadbc7fe8d1
--- /dev/null
+++ b/media-radio/svxlink/files/remotetrx.init
@@ -0,0 +1,43 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+PNAME=remotetrx
+NAME="RemoteTrx Server"
+DAEMON=/usr/bin/$PNAME
+
+POPTS="--daemon \
+ ${RUNASUSER:+--runasuser=$RUNASUSER} \
+ ${PIDFILE:+--pidfile=$PIDFILE} \
+ ${LOGFILE:+--logfile=$LOGFILE} \
+ ${CFGFILE:+--config=$CFGFILE}"
+
+create_logfile()
+{
+ touch $LOGFILE
+ if [ -n "$RUNASUSER" ]; then
+ chown $RUNASUSER.$RUNASUSER $LOGFILE
+ fi
+}
+
+
+depend() {
+ need localmount
+ use net
+ after bootmisc
+}
+
+start() {
+ ebegin "Starting $NAME"
+ create_logfile
+ export $ENV
+ start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON -- $POPTS
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping $NAME"
+ start-stop-daemon --stop --pidfile $PIDFILE --exec $DAEMON
+ eend $?
+}
diff --git a/media-radio/svxlink/files/remotetrx.rc b/media-radio/svxlink/files/remotetrx.rc
new file mode 100644
index 000000000000..940cc389bf4c
--- /dev/null
+++ b/media-radio/svxlink/files/remotetrx.rc
@@ -0,0 +1,21 @@
+#############################################################################
+#
+# Configuration file for the RemoteTrx startup script /etc/init.d/remotetrx
+#
+#############################################################################
+
+# The log file to use
+LOGFILE=/var/log/remotetrx
+
+# The PID file to use
+PIDFILE=/var/run/remotetrx.pid
+
+# The user to run the SvxLink server as
+RUNASUSER=svxlink
+
+# Specify which configuration file to use
+CFGFILE=/etc/svxlink/remotetrx.conf
+
+# Environment variables to set up. Separate variables with a space.
+ENV="ASYNC_AUDIO_NOTRIGGER=1"
+
diff --git a/media-radio/svxlink/files/svxlink-11.11.1-gcc-47.patch b/media-radio/svxlink/files/svxlink-11.11.1-gcc-47.patch
new file mode 100644
index 000000000000..b13985ace9c7
--- /dev/null
+++ b/media-radio/svxlink/files/svxlink-11.11.1-gcc-47.patch
@@ -0,0 +1,10 @@
+--- async/cpp/AsyncCppDnsLookupWorker.cpp.old 2012-07-31 17:45:31.000000000 +0000
++++ async/cpp/AsyncCppDnsLookupWorker.cpp 2012-07-31 17:45:24.000000000 +0000
+@@ -38,6 +38,7 @@
+ *
+ ****************************************************************************/
+
++#include <unistd.h>
+ #include <sys/socket.h>
+ #include <netinet/in.h>
+ #include <arpa/inet.h>
diff --git a/media-radio/svxlink/files/svxlink.init b/media-radio/svxlink/files/svxlink.init
new file mode 100644
index 000000000000..ceded48f41b7
--- /dev/null
+++ b/media-radio/svxlink/files/svxlink.init
@@ -0,0 +1,43 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+PNAME=svxlink
+NAME="SvxLink Server"
+DAEMON=/usr/bin/$PNAME
+
+POPTS="--daemon \
+ ${RUNASUSER:+--runasuser=$RUNASUSER} \
+ ${PIDFILE:+--pidfile=$PIDFILE} \
+ ${LOGFILE:+--logfile=$LOGFILE} \
+ ${CFGFILE:+--config=$CFGFILE}"
+
+create_logfile()
+{
+ touch $LOGFILE
+ if [ -n "$RUNASUSER" ]; then
+ chown $RUNASUSER.$RUNASUSER $LOGFILE
+ fi
+}
+
+
+depend() {
+ need localmount
+ use net
+ after bootmisc
+}
+
+start() {
+ ebegin "Starting $NAME"
+ create_logfile
+ export $ENV
+ start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON -- $POPTS
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping $NAME"
+ start-stop-daemon --stop --pidfile $PIDFILE --exec $DAEMON
+ eend $?
+}
diff --git a/media-radio/svxlink/files/svxlink.rc b/media-radio/svxlink/files/svxlink.rc
new file mode 100644
index 000000000000..5f19f576e824
--- /dev/null
+++ b/media-radio/svxlink/files/svxlink.rc
@@ -0,0 +1,21 @@
+#############################################################################
+#
+# Configuration file for the SvxLink startup script /etc/init.d/svxlink
+#
+#############################################################################
+
+# The log file to use
+LOGFILE=/var/log/svxlink
+
+# The PID file to use
+PIDFILE=/var/run/svxlink.pid
+
+# The user to run the SvxLink server as
+RUNASUSER=svxlink
+
+# Specify which configuration file to use
+CFGFILE=/etc/svxlink/svxlink.conf
+
+# Environment variables to set up. Separate variables with a space.
+ENV="ASYNC_AUDIO_NOTRIGGER=1"
+